package cn.reghao.tnb.user.api.iface;

import cn.reghao.tnb.user.api.dto.UserCard;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-14 10:52:59
 */
public interface UserService {
    UserCard getUserAvatar(long userId);
    List<Long> getFollowingIds(long userId);
    boolean isVip(long userId);
    int getRecommendMode(long userId);
    boolean setRecommendMode(long userId, int mode);
    boolean contactContain(long userId, long friendId);
}
